Bug 825752 - [abrt] gedit-3.2.6-1.fc16: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.6-1.fc16: Process /usr/bin/gedit was killed by signal 11 (SI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:99101a35e3b8caa566bbaae8197...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 07:35 EDT by GS
Modified: 2013-02-13 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:10:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (12.04 KB, text/plain)
2012-05-28 07:36 EDT, GS
no flags Details
File: smolt_data (8.94 KB, text/plain)
2012-05-28 07:36 EDT, GS
no flags Details
File: maps (49.82 KB, text/plain)
2012-05-28 07:36 EDT, GS
no flags Details
File: backtrace (28.70 KB, text/plain)
2012-05-28 07:36 EDT, GS
no flags Details

  None (edit)
Description GS 2012-05-28 07:35:57 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit
crash_function: gtk_text_view_accessible_update_cursor
executable:     /usr/bin/gedit
kernel:         3.3.6-3.fc16.x86_64
pid:            8123
pwd:            /home/gstrosnider
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Mon 28 May 2012 07:16:01 AM EDT
uid:            1000
username:       gstrosnider

backtrace:      Text file, 29384 bytes
dso_list:       Text file, 12327 bytes
maps:           Text file, 51015 bytes
smolt_data:     Text file, 9158 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=GSTROSNIDER
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=4dd036922f7850c95b1bdb270000001e-1337976247.937698-1019816077
:PERL5LIB=/home/gstrosnider/perl5/lib/perl5/x86_64-linux-thread-multi:/home/gstrosnider/perl5/lib/perl5
:GNOME_KEYRING_CONTROL=/tmp/keyring-8pygy5
:'PERL_MB_OPT=--install_base /home/gstrosnider/perl5'
:IMSETTINGS_MODULE=none
:USER=gstrosnider
:USERNAME=gstrosnider
:MAIL=/var/spool/mail/gstrosnider
:PATH=/home/gstrosnider/perl5/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/gstrosnider/.local/bin:/home/gstrosnider/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/gstrosnider
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2538
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/gstrosnider
:XDG_SEAT=seat0
:SHLVL=1
:PERL_LOCAL_LIB_ROOT=/home/gstrosnider/perl5
:LOGNAME=gstrosnider
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cX5nr1ZdYR,guid=695f2a02d7be3facfbacfe7300000044
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/gstrosnider
:DISPLAY=:0.0
:PERL_MM_OPT=INSTALL_BASE=/home/gstrosnider/perl5
:XAUTHORITY=/var/run/gdm/auth-for-gstrosnider-ShlE4L/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2545,unix/unix:/tmp/.ICE-unix/2545
:SSH_AUTH_SOCK=/tmp/keyring-8pygy5/ssh
:GPG_AGENT_INFO=/tmp/keyring-8pygy5/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-panel-3434-GSTROSNIDER-gedit-5_TIME93601622
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8123

event_log:
:2012-05-28-07:16:19> Querying server settings
:2012-05-28-07:16:20  Preparing an archive to upload
:2012-05-28-07:16:26  Uploading 5 megabytes
:2012-05-28-07:16:27  Upload successful
:2012-05-28-07:16:28  Retrace job started
:2012-05-28-07:16:39  Initializing virtual root
:2012-05-28-07:16:49  Initializing virtual root
:2012-05-28-07:17:00  Initializing virtual root
:2012-05-28-07:17:10  Initializing virtual root
:2012-05-28-07:17:20  Initializing virtual root
:2012-05-28-07:17:31  Initializing virtual root
:2012-05-28-07:17:41  Initializing virtual root
:2012-05-28-07:17:52  Initializing virtual root
:2012-05-28-07:18:02  Initializing virtual root
:2012-05-28-07:18:13  Initializing virtual root
:2012-05-28-07:18:23  Initializing virtual root
:2012-05-28-07:18:34  Initializing virtual root
:2012-05-28-07:18:44  Initializing virtual root
:2012-05-28-07:18:54  Initializing virtual root
:2012-05-28-07:19:04  Initializing virtual root
:2012-05-28-07:19:15  Initializing virtual root
:2012-05-28-07:19:25  Initializing virtual root
:2012-05-28-07:19:35  Initializing virtual root
:2012-05-28-07:19:46  Saving crash statistics
:2012-05-28-07:19:56  Retrace job finished successfully
:2012-05-28-07:35:21> Element 'xsession_errors' saved
:2012-05-28-07:35:23> Smolt profile successfully saved

var_log_messages:
:May 28 07:16:00 GSTROSNIDER kernel: [227514.319913] gedit[8123]: segfault at 64 ip 0000003f1a2d37b3 sp 00007fff69fe1af0 error 4 in libgtk-3.so.0.200.4[3f1a000000+43b000]
:May 28 07:16:02 GSTROSNIDER abrt[10987]: Saved core dump of pid 8123 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-05-28-07:16:01-8123 (69763072 bytes)

xsession_errors:
:(gedit:8123): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GtkSourceGutterRenderer'
:(gedit:8123): GtkSourceView-CRITICAL **: gtk_source_gutter_renderer_get_view: assertion `GTK_SOURCE_IS_GUTTER_RENDERER (renderer)' failed
:(gedit:8123): Gtk-CRITICAL **: gtk_text_view_get_buffer: assertion `GTK_IS_TEXT_VIEW (text_view)' failed
:(gedit:8123): Gtk-CRITICAL **: gtk_text_buffer_get_line_count: assertion `GTK_IS_TEXT_BUFFER (buffer)' failed
:(gedit:8123): Gtk-CRITICAL **: gtk_widget_get_accessible: assertion `GTK_IS_WIDGET (widget)' failed
:(gedit:8123): Gtk-CRITICAL **: gtk_widget_get_accessible: assertion `GTK_IS_WIDGET (widget)' failed
:(gedit:8123): Gtk-CRITICAL **: gtk_widget_get_accessible: assertion `GTK_IS_WIDGET (widget)' failed
:(gedit:8123): GLib-GObject-WARNING **: invalid (NULL) pointer instance
:(gedit:8123): GLib-GObject-CRITICAL **: g_signal_emit_by_name: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
Comment 1 GS 2012-05-28 07:36:00 EDT
Created attachment 587222 [details]
File: dso_list
Comment 2 GS 2012-05-28 07:36:01 EDT
Created attachment 587223 [details]
File: smolt_data
Comment 3 GS 2012-05-28 07:36:03 EDT
Created attachment 587224 [details]
File: maps
Comment 4 GS 2012-05-28 07:36:05 EDT
Created attachment 587225 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-01-16 12:28:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 17:10:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.